> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jambonz.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server.

# list calls

GET https://api.jambonz.cloud/v1/Accounts/{AccountSid}/Calls

Reference: https://docs.jambonz.org/reference/rest-call-control/calls/list-calls

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `AccountSid` (string, required)

### Query parameters

- `direction` (enum, optional) — call direction to retrieve
  - Allowed values: `inbound`, `outbound`
- `from` (string, optional) — calling number to retrieve
- `to` (string, optional) — called number to retrieve
- `callStatus` (enum, optional) — call status to retrieve
  - Allowed values: `trying`, `ringing`, `early-media`, `in-progress`, `completed`, `failed`, `busy`, `no-answer`, `queued`

## Response

### 200

list of calls for a specified account

- `list of Call`

## Errors

### 500 Internal Server Error

system error

- `msg` (string, required)

## Types

### Call

- `account_sid` (string, required)
- `call_id` (string, required)
- `call_sid` (string, required)
- `call_status` (enum, required)
  - Allowed values: `trying`, `ringing`, `alerting`, `in-progress`, `completed`, `busy`, `no-answer`, `failed`, `queued`
- `direction` (enum, required)
  - Allowed values: `inbound`, `outbound`
- `from` (string, required)
- `service_url` (string, required)
- `sip_status` (integer, required)
- `to` (string, required)
- `application_sid` (string, optional)
- `caller_name` (string, optional)
- `duration` (integer, optional)
- `originating_sip_trunk_name` (string, optional)
- `parent_call_sid` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "call_id": "call_1234567890abcdef",
    "call_sid": "9b2d7f3e-8c4a-4f1a-9d3e-1a2b3c4d5e6f",
    "call_status": "in-progress",
    "direction": "inbound",
    "from": "+14155552671",
    "service_url": "https://api.jambonz.cloud/v1/calls/9b2d7f3e-8c4a-4f1a-9d3e-1a2b3c4d5e6f",
    "sip_status": 200,
    "to": "+14155559876",
    "application_sid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "caller_name": "John Doe",
    "duration": 125,
    "originating_sip_trunk_name": "MainSIPTrunk",
    "parent_call_sid": "2a4b6c8d-1e3f-4a5b-9c7d-0e1f2a3b4c5d"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts/AccountSid/Calls")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```